<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a></li><li class="navelem"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html">ISearchClient</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SemanticSearchImplementation.ISearchClient Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html">SemanticSearchImplementation.ISearchClient</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a1ff333af40c8164aa40b129e745a37cc">AddDocumentAsync</a>(string graphName, IDictionary&lt; string, JObject &gt; documents)</td><td class="entry"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html">SemanticSearchImplementation.ISearchClient</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#aa8400c98add1356b9d594264cc1084ec">AddDocumentsAsync</a>(IEnumerable&lt; JObject &gt; documents)</td><td class="entry"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html">SemanticSearchImplementation.ISearchClient</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a5f3281adfa42ef1587f0ff32454aef26">ChangeIndex</a>(string index)</td><td class="entry"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html">SemanticSearchImplementation.ISearchClient</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a9ab1b757bf2df8b7324dd94cfebb3077">CreateIndexAsync</a>(JObject content, string index)</td><td class="entry"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html">SemanticSearchImplementation.ISearchClient</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a1cb5a1be1f418a82548c707f35a565af">DeleteDocumentAsync</a>(string graphName, IDictionary&lt; string, JObject &gt; documents)</td><td class="entry"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html">SemanticSearchImplementation.ISearchClient</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#acb7deea3df7b5e8a69eb6cedb7a43ab3">DeleteIndexAsync</a>(string index)</td><td class="entry"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html">SemanticSearchImplementation.ISearchClient</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a919066ae905397687167580e2d7ff227">GetMappingAsync</a>()</td><td class="entry"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html">SemanticSearchImplementation.ISearchClient</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a4941aadcb081b3debbf4b3a57986882e">SearchAsync</a>(string query, IEnumerable&lt; string &gt; projects, bool advanced, int size, int from, string sorting)</td><td class="entry"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html">SemanticSearchImplementation.ISearchClient</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a1ad1eab5dedb94a615d1c8608dc7052f">SwitchAliasAsync</a>(string from, string to)</td><td class="entry"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html">SemanticSearchImplementation.ISearchClient</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
